Results 1 to 10 of 10
  1. #1
    EmuTalk Member
    Join Date
    Aug 2016
    Posts
    12
    Mentioned
    0 Post(s)

    Demul v 111117 gpudx11old plugin crashing the emulator.

    Hello everyone,
    I just installed the latest version of demul emulator version 111117 in hope of getting the "internal resolution" scaler working fine but it seems as with previous versions it is crashing the emulator. The gpudx11old plugin doesn't seem to work this time around as well 😣

    The only version that works with the "Internal Resolution" scaler working is 0.582. Is there a way to get the gpudx11old working with this new release?

    Help will be much appreciated.
    Thanks

  2. #2
    Demul developer
    Join Date
    Aug 2010
    Posts
    238
    Mentioned
    1 Post(s)
    sorry but no. gpudx11old is abandoned and planned to be removed at all, when Galeco emulation will be properly implemented in modern DX11 renderer.

    it known to crash at least with some of ATI/AMD GCN 1st and/or 2nd gen GPUs, there is no known solutions or workarounds, developers had no ideas why this happen.

  3. #3
    EmuTalk Member
    Join Date
    Aug 2016
    Posts
    12
    Mentioned
    0 Post(s)
    So you mean to say in future there won't be any "internal resolution" scaler options in Demul? I have AMD Radeon R9 290 gfx card.

  4. #4
    Demul developer
    Join Date
    Aug 2010
    Posts
    238
    Mentioned
    1 Post(s)
    in short term - yes.

    strictly speaking, Demul is targeted to be original hardware emulator, Dreamcast, NAOMI, etc.
    not the tool for people who want to play almost 20 year old games, and want these games look like they not very old but somewhat modern, in 4K etc.
    Last edited by MetalliC; January 16th, 2018 at 20:06.

  5. #5
    EmuTalk Member
    Join Date
    Aug 2016
    Posts
    12
    Mentioned
    0 Post(s)
    I see but wouldn't it be great if we can play these games at a better resolution? The PCSX2 emulator does an amazing job of upscaling graphics. Just a thought.

  6. #6
    EmuTalk Member
    Join Date
    Jan 2018
    Posts
    1
    Mentioned
    0 Post(s)
    GTX 580 here. gpudx11old works on v0.7A, but not the more recent builds.

  7. #7
    Demul developer
    Join Date
    Aug 2010
    Posts
    238
    Mentioned
    1 Post(s)
    probably crashfix for 1st gen AMD GCN back from 2015 broke it for GTX580 with recent drivers (iirc it was fine back then).

    ughh, 3D software development for PC is a hell with never ending Russian roulette, if it will work on specific GPU with specific driver version or not.

  8. #8
    EmuTalk Member
    Join Date
    Aug 2016
    Posts
    12
    Mentioned
    0 Post(s)
    GTX 580 or RX 580? Which exact version of 0.7 works? I would like to try? As far as i recall 0.7 A also doesn't work with the old plugin.

  9. #9
    EmuTalk Member
    Join Date
    Aug 2016
    Posts
    12
    Mentioned
    0 Post(s)
    Metallic i just got to know that the gpu dx11old works in the 180616 build of the emulator. All you have to do is tick the "disable auto sort" option in the video settings. This does make the emulator run on that setting. But still there are graphical glitches.

  10. #10
    Demul core coder
    Join Date
    Apr 2009
    Posts
    43
    Mentioned
    0 Post(s)
    auto sort - main gpu function!


Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •